• Brad King's avatar
    cmake_minimum_required: Tolerate unknown future arguments · 8dc97acb
    Brad King authored
    When a `...<max>` version is given that is larger than the running
    version of CMake, assume that the project is aware of a newer version of
    CMake and that any unknown arguments are future arguments.  This will
    allow future versions of CMake to add arguments to the command that
    projects can use without introducing errors in older versions of CMake
    (back to 3.12).
    8dc97acb
Name
Last commit
Last update
..
Before24-stderr.txt Loading commit data...
Before24.cmake Loading commit data...
CMakeLists.txt Loading commit data...
CompatBefore24-result.txt Loading commit data...
CompatBefore24-stderr.txt Loading commit data...
CompatBefore24.cmake Loading commit data...
Future.cmake Loading commit data...
PolicyBefore24-result.txt Loading commit data...
PolicyBefore24-stderr.txt Loading commit data...
PolicyBefore24.cmake Loading commit data...
Range-stderr.txt Loading commit data...
Range.cmake Loading commit data...
RangeBad-result.txt Loading commit data...
RangeBad-stderr.txt Loading commit data...
RangeBad.cmake Loading commit data...
RunCMakeTest.cmake Loading commit data...
Unknown-result.txt Loading commit data...
Unknown-stderr.txt Loading commit data...
Unknown.cmake Loading commit data...